@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
/* font-family: "Montserrat", sans-serif; */
/* font-family: "Merriweather", serif; */

:root {
    --primary-color: #FF885B;
    --secundary-color: #FFE5CF;
    --color-green: #557C56;
    --dark-color: #33372C;
    --text-light: #6e6d6d;
    --white: #cfc8c8;
    --header-font: "Merriweather", serif;
    --max-width: 1200px;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  }

.section__container {
    max-width: var(--max-width);
    margin: auto;
    padding: 5rem 1rem;
} 

.section__header {
    margin-bottom: 1rem;
    font-size: 2.5rem;
    font-weight: 600;
    font-family: var(--header-font);
    color: var(--color-green);
}

.section__description {
    font-size: 1.1rem;
    color: var(--secundary-color);
}

.logo img {
    width: 160px;
}

img {
    display: flex;
    width: 100%;
}

a {
    text-decoration: none;
    transition: 0.3s;
}

ul {
    list-style: none;
}

html, body {
    scroll-behavior: smooth;
}

body {
    font-family: "Montserrat", sans-serif;
}

nav {
    position: fixed;
    isolation: isolate;
    width: 100%;
    max-width: var(--max-width);
    margin-inline: auto;
    z-index: 9;
}

.nav__header {
    padding: 1rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--color-green);
}

.nav__menu__btn {
    font-size: 1.5rem;
    color: var(--white);
    cursor: pointer;
}

.nav__links {
    position: absolute;
  top: 65px;
  left: 0;
  width: 100%;
  padding: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 2rem;
  background-color: var(--color-green);
  transition: 0.5s;
  z-index: -1;
  transform: translateY(-100%);
}

.nav__links.open {
    transform: translateY(0);
}

.nav__links a {
    font-weight: 500;
    color: var(--white);
}

.header__container {
    display: grid;
    overflow: hidden;
}

.header__image {
    grid-area: 1/1/2/2;
}

.header__image img {
    max-width: 900px;
    margin-left: auto;
}

.header__content {
    grid-area: 1/1/2/2;
    display: flex;
    align-items: center;
}

.header__content div {
    max-width: 600px;
    padding: 4rem 1rem;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(8px);
}

.header__content h1 {
    margin-bottom: 1rem;
    font-size: 3rem;
    font-weight: 600;
    font-family: var(--header-font);
    color: var(--dark-color);
}

.header__content p {
    font-size: 1.2rem;
    color: var(--text-light);
}

.section__dialogo {
    background-image: linear-gradient(
        rgba(0,0,0,0.6),
        rgba(0,0,0,0.6)),
        url(../img/fondo-header_3.jpg);
        background-position: center bottom;
        background-repeat: no-repeat;
        background-size: cover;
        background-attachment: fixed;
        padding: 5px;
        margin-top: -50px;
}

.services__container h2{
    color: var(--white);
    text-align: center;
    margin-bottom: 20px;
}

.services__container p {
    color: var(--white);
    font-size: 1.2rem;
    font-weight: 400;
    padding: 20px;
}

.curso__container {
    display: grid;
    align-items: center;
    padding: 20px;
}

.curso__content {
    margin-top: 20px;
}

.section__sesiones {
    background-color: var(--secundary-color);
}

.section__lista {
    display: grid;
    align-items: center;
    justify-content: center;
}

.list__content {
    margin-bottom: 20px;
    justify-content: center;
    padding: 20px;
}

.section__contact {
    display: grid;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.section__contact p {
    font-size: 1.2rem;
    color: var(--text-light);
    font-weight: 500;
}

.footer {
    background-color: var(--primary-color);
}

.footer__logo img {
    width: 120px;
    display: none;
}

.footer__container {
    display: grid;
    align-items: center;
}

.footer__col p {
    font-size: 1.2rem;
    color: var(--dark-color);
    font-weight: 700;
    text-align: center;
}

.footer__socials {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.footer__socials a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    aspect-ratio: 1;
    font-size: 1.5rem;
    color: var(--dark-color);
    background-color: #f7ebf330;
    border-radius: 100%;
}

.footer__bar{
    font-size: 0.9rem;
    color: var(--dark-color);
    text-align: center;
    margin-top: 0;
    padding-top: 0;
    
}

.contacto {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 400px;
}

h2 {
    text-align: center;
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
}

input, textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

button {
    width: 100%;
    padding: 10px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-color: #0056b3;
}




  
@media(width > 768px) {
    nav {
        position: static;
        padding: 2rem 1rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 2rem;
    }

    .nav__header {
        flex: 1;
        padding: 0;
        background-color: transparent;
    }

    .nav__menu__btn {
        display: none;
    }

    .nav__links {
        position: static;
        padding: 0;
        width: fit-content;
        flex-direction: row;
        gap: 3rem;
        background-color: transparent;
        transform: none;
    }
    .nav__links a {
        color: var(--dark-color);
    }

    .nav__links a:hover {
        color: var(--primary-color);
    }

    .header__container {
        padding-top: 0;
    }

    .curso__container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        justify-content: center;
    }

    .curso__content h2 {
        text-align: center;
        margin-bottom: 10px;
    }

    .curso__content p {
        padding: 10px;
        margin-left: 20px;
        font-size: 1.2rem;
        font-weight: 400;
        color: var(--text-light);
    }

    .section__lista {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }

    .footer__container {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .footer__logo img {
        width: 120px;
        display: grid;
    }

    
} 